Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.isim
Class EventsTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          ix.isim.EventsTableModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

     class EventsTableModel

extends javax.swing.table.AbstractTableModel

Field Summary
`(package private) static int` | `EVENT`
`protected java.util.Map` | `eventRows`
`protected java.util.List` | `events`
`(package private) static int` | `NROFCOLS`
`(package private) static int` | `STATUS`
`(package private) static int` | `THREAD`
`(package private) static int` | `TIME`
`(package private) static java.lang.String[]` | `titles`
`(package private) static java.lang.Class[]` | `types`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`EventsTableModel(ISimEngine simulator)`

Method Summary
`void` | `eventUpdated(TimedEvent event)`
`java.lang.Class` | `getColumnClass(int col)`
`int` | `getColumnCount()`
`java.lang.String` | `getColumnName(int col)`
`int` | `getRowCount()`
`java.lang.Object` | `getValueAt(int row, int col)`
`void` | `makeRowsFromQueue(java.util.List completedEvents, java.util.List activeEvents, LongPriorityQueue waitingEvents)`

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NROFCOLS

    static final int NROFCOLS

See Also:
  Constant Field Values

### STATUS

    static final int STATUS

See Also:
  Constant Field Values

### TIME

    static final int TIME

See Also:
  Constant Field Values

### THREAD

    static final int THREAD

See Also:
  Constant Field Values

### EVENT

    static final int EVENT

See Also:
  Constant Field Values

### titles

    static final java.lang.String[] titles

### types

    static final java.lang.Class[] types

### events

    protected java.util.List events

### eventRows

    protected java.util.Map eventRows

Constructor Detail

### EventsTableModel

    public EventsTableModel(ISimEngine simulator)

Method Detail

### getColumnCount

    public int getColumnCount()

### getColumnName

    public java.lang.String getColumnName(int col)

  Specified by:
    `getColumnName` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnName` in class `javax.swing.table.AbstractTableModel`

### getColumnClass

    public java.lang.Class getColumnClass(int col)

  Specified by:
    `getColumnClass` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnClass` in class `javax.swing.table.AbstractTableModel`

### getRowCount

    public int getRowCount()

### eventUpdated

    public void eventUpdated(TimedEvent event)

### getValueAt

    public java.lang.Object getValueAt(int row,
                                       int col)

### makeRowsFromQueue

    public void makeRowsFromQueue(java.util.List completedEvents,
                                  java.util.List activeEvents,
                                  LongPriorityQueue waitingEvents)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD